Bug 141483 - nfs mounts fail
nfs mounts fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 09:59 EST by Thomas J. Baker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 17:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2004-12-01 09:59:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
After updating to the Nov 30 rawhide, I can no longer mount any nfs
directories. 

[root@katratzi tjb]# mount wintermute:/home /xxx
*** buffer overflow detected ***
Aborted
[root@katratzi tjb]

and dmesg shows 

audit(1101912933.531:0): avc:  denied  { connect } for  pid=1889
exe=/sbin/portmap scontext=user_u:system_r:portmap_t
tcontext=user_u:system_r:portmap_t tclass=tcp_socket


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.19.6-1

How reproducible:
Always

Steps to Reproduce:
1. try to mount or automount any nfs directories
2.
3.
    

Additional info:

It seems the buffer overflow is related to the portmap failure.
Comment 1 Thomas J. Baker 2004-12-01 15:53:55 EST
selinux-policy-targeted-1.19.8-2 does not fix the problem.
Comment 2 Daniel Walsh 2004-12-02 15:11:41 EST
Ok, will try again with policy-1.19.10-3
Comment 3 Thomas J. Baker 2004-12-03 09:24:09 EST
selinux-policy-targeted-1.19.8-4 seems to fix the selinux error
messages but I still get buffer overflow on mounts so I guess this is
a kernel problem? I'll open a bug under the kernel next.

Note You need to log in before you can comment on or make changes to this bug.